<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LawyerUserSearchHistoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LawyerUserSearchHistory">
        <id column="id" property="id" />
        <result column="client_user_id" property="clientUserId" />
        <result column="search_keyword" property="searchKeyword" />
        <result column="search_type" property="searchType" />
        <result column="search_time" property="searchTime" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, client_user_id, search_keyword, search_type, search_time, delete_flag, created_time
    </sql>

</mapper>

